<!DOCTYPE html>
<html lang="en" prefix="og: http://ogp.me/ns#"><head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0" />

<title>touhey.pro — the touhey way to projects</title>
<meta name="author" content="Thomas Touhey">
<link rel="author" href="https://thomas.touhey.fr/">
<meta property="og:description" name="description" content="find out about the touhey family projects!">
<link rel="icon" type="image/ico" href="favicon.png">
<!--[if IE]>
<link rel="shortcut icon" type="image/ico" href="favicon.ico">
<![endif]-->

<!-- OpenGraph -->
<meta property="og:title" content="the touhey way to projects">
<meta property="og:site_name" content="touhey.pro">
<meta property="og:url" content="https://touhey.pro/">
<meta property="og:type" content="website">

<!-- Twitter -->
<meta name="twitter:card" content="summary">
<meta name="twitter:title" content="the touhey way to projects">
<meta name="twitter:description" content="find out about the touhey family projects!">
<meta name="twitter:url" content="https://touhey.pro/">

{% asset main.css %}
</head><body><div class="container">

<div class="header">
	<h1>touhey.pro</h1>
	<p class="subtitle">
		Computer projects brought to you by
		<a href="https://thomas.touhey.fr/">Thomas Touhey</a>.
	</p>
</div>

<div class="project-section"><div class="projects-column">
	<h2>C/C++ projects</h2>

	<ul>
		<li><a class="back-cahute" href="https://cahuteproject.org/">
			<div class="project-bottom"><div class="project-box">
				<h3>Cahute</h3>
				<p>
					Communication and file format handling tools for
					CASIO calculators.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-pyutmpx" href="https://pyutmpx.touhey.pro/">
			<div class="project-bottom"><div class="project-box">
				<h3>pyutmpx</h3>
				<p>
					A CPython native extension for reading user
					accounting databases.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-usimarit" href="https://gitlab.com/thomas.touhey/weshd">
			<div class="project-bottom"><div class="project-box">
				<h3>weshd</h3>
				<p>
					WES Handling Daemon (weshd), a library to interact with
					Web Énergie Superviseur hosts by Cartelectronic.
				</p>
			</div></div>
		</a></li>
	</ul>
</div><div class="projects-column">
	<h2>Python projects</h2>

	<ul class="projects-list">
		<li><a class="back-pyfingerd" href="https://pyfingerd.org/">
			<div class="project-bottom"><div class="project-box">
				<h3>pyfingerd</h3>
				<p>
					A modern finger (RFC 1288) server.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-kaquel" href="https://kaquel.touhey.pro/">
			<div class="project-bottom"><div class="project-box">
				<h3>Kaquel</h3>
				<p>
					A toolset for parsing and rendering query languages
					for ElasticSearch.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-thcolor" href="https://thcolor.touhey.pro/">
			<div class="project-bottom"><div class="project-box">
				<h3>thcolor</h3>
				<p>
					A Python module for decoding colors (including CSS
					Level 4 management).
				</p>
			</div></div>
		</a></li>
	</ul>
</div><div class="projects-column">
	<h2>Web &amp; other projects</h2>

	<ul>
		<li><a class="back-teal" href="https://teal.teapots.fr/">
			<div class="project-bottom"><div class="project-box">
				<h3>TeaL</h3>
				<p>
					A modular listener and dispatcher bundle for
					event-driven architectures.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-thox" href="https://thox.madefor.cc/">
			<div class="project-bottom"><div class="project-box">
				<h3>thox</h3>
				<p>
					From boot to user programs, using innovative IPC
					for ComputerCraft.
				</p>
			</div></div>
		</a></li>

		<li><a class="back-thlk" href="https://thlk.fr/">
			<div class="project-bottom"><div class="project-box">
				<h3>thlk.fr</h3>
				<p>
					A very, very basic shortlinker made and deployed
					in three hours.
				</p>
			</div></div>
		</a></li>
	</ul>
</div></div>
</div></body></html>
